javax.annotation

## Annotation Type Generated

-     @Documented
       @Target(value={ANNOTATION_TYPE,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,METHOD,PACKAGE,PARAMETER,TYPE})
       @Retention(value=SOURCE)
      public @interface Generated

  Since:
    Common Annotations 1.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String[]` | `value`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `comments`
    `java.lang.String` | `date`

- - ### Element Detail

    - #### value

          public abstract java.lang.String[] value

      Returns:
        The name of the code generator. It is recommended that the fully qualified name of the code generator is used.

  - - #### date

          public abstract java.lang.String date

      Returns:
        The date the code was generated
      Default:
        ""

  - - #### comments

          public abstract java.lang.String comments

      Returns:
        Additional comments (if any) related to the code generation
      Default:
        ""

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.